"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PactPublisherProvider = void 0;
const pact_cli_1 = require("@pact-foundation/pact-cli");
const pact_module_providers_enum_1 = require("../common/pact-module-providers.enum");
exports.PactPublisherProvider = {
    provide: pact_module_providers_enum_1.PactModuleProviders.PactPublisher,
    useFactory: (options) => new pact_cli_1.Publisher(options),
    inject: [pact_module_providers_enum_1.PactModuleProviders.PublicationOptions],
};
//# sourceMappingURL=pact-publisher.provider.js.map